# Get Smart View Bookmarks

`GET https://api.tweetsmash.com/v1/views/:slug/bookmarks`

List the bookmarks inside a Smart View. Use the `bucket` query parameter to read a specific tab/bucket of the view. Paginated like /v1/bookmarks.

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `slug` | string | Yes | The Smart View slug. |

### Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Authorization` | string | Yes | Your secret API key. Should be provided as a Bearer token. |

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `bucket` | string | No | Which tab/bucket of the view to read. Defaults to all. |
| `limit` | integer | No | Page size (1-100). Default 20. |
| `cursor` | integer | No | Numeric offset for the next page. |

### Response

```json
{
  "status": true,
  "data": [],
  "meta": {
    "limit": 20,
    "bucket": "all",
    "next_cursor": 20,
    "has_more": true
  }
}
```

---

Full reference: https://www.tweetsmash.com/api-docs/get-smart-view-bookmarks
